* [PATCH] xfstests 280: test freeze deadlock w/ quotas
@ 2012-03-02 16:51 Eric Sandeen
2012-03-02 19:55 ` Jan Kara
0 siblings, 1 reply; 2+ messages in thread
From: Eric Sandeen @ 2012-03-02 16:51 UTC (permalink / raw)
To: xfs-oss; +Cc: Jan Kara
This tests the quota+freeze hang scenario described & fixed in
dcdbed85 quota: Fix deadlock with suspend and quotas
Signed-off-by: Eric Sandeen <sandeen@redhat.com>
---
diff --git a/280 b/280
new file mode 100755
index 0000000..55849ed
--- /dev/null
+++ b/280
@@ -0,0 +1,71 @@
+#! /bin/bash
+# FS QA Test No. 280
+#
+# Test quota vs. suspend/freeze deadlock,
+# dcdbed85 quota: Fix deadlock with suspend and quotas
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2012 Red Hat, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#-----------------------------------------------------------------------
+#
+# creator
+owner=sandeen@sandeen.net
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ cd /
+ rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.quota
+
+_require_scratch
+_require_quota
+
+# real QA test starts here
+
+# Modify as appropriate.
+_supported_fs generic
+_supported_os Linux
+_supported_fs ext3 ext4 xfs
+
+umount $SCRATCH_DEV 2>/dev/null
+_scratch_mkfs >> $seq.full 2>&1
+_scratch_mount "-o usrquota,grpquota"
+quotacheck -u -g $SCRATCH_MNT 2>/dev/null
+quotaon $SCRATCH_MNT 2>/dev/null
+xfs_freeze -f $SCRATCH_MNT
+setquota -u root 1 2 3 4 $SCRATCH_MNT &
+sleep 1
+xfs_freeze -u $SCRATCH_MNT
+umount $SCRATCH_DEV
+
+# Failure comes in the form of a deadlock.
+
+# success, all done
+status=0
+exit
diff --git a/280.out b/280.out
new file mode 100644
index 0000000..fb29270
--- /dev/null
+++ b/280.out
@@ -0,0 +1 @@
+QA output created by 280
diff --git a/group b/group
index 7a91f41..01f406d 100644
--- a/group
+++ b/group
@@ -393,3 +393,4 @@ deprecated
277 auto ioctl quick metadata
278 repair auto
279 auto mkfs
+280 auto quota
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
^ permalink raw reply related [flat|nested] 2+ messages in thread
* Re: [PATCH] xfstests 280: test freeze deadlock w/ quotas
2012-03-02 16:51 [PATCH] xfstests 280: test freeze deadlock w/ quotas Eric Sandeen
@ 2012-03-02 19:55 ` Jan Kara
0 siblings, 0 replies; 2+ messages in thread
From: Jan Kara @ 2012-03-02 19:55 UTC (permalink / raw)
To: Eric Sandeen; +Cc: Jan Kara, xfs-oss
On Fri 02-03-12 10:51:39, Eric Sandeen wrote:
> This tests the quota+freeze hang scenario described & fixed in
> dcdbed85 quota: Fix deadlock with suspend and quotas
>
> Signed-off-by: Eric Sandeen <sandeen@redhat.com>
Looks good. You can add:
Reviewed-by: Jan Kara <jack@suse.cz>
Honza
> ---
>
> diff --git a/280 b/280
> new file mode 100755
> index 0000000..55849ed
> --- /dev/null
> +++ b/280
> @@ -0,0 +1,71 @@
> +#! /bin/bash
> +# FS QA Test No. 280
> +#
> +# Test quota vs. suspend/freeze deadlock,
> +# dcdbed85 quota: Fix deadlock with suspend and quotas
> +#
> +#-----------------------------------------------------------------------
> +# Copyright (c) 2012 Red Hat, Inc. All Rights Reserved.
> +#
> +# This program is free software; you can redistribute it and/or
> +# modify it under the terms of the GNU General Public License as
> +# published by the Free Software Foundation.
> +#
> +# This program is distributed in the hope that it would be useful,
> +# but WITHOUT ANY WARRANTY; without even the implied warranty of
> +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
> +# GNU General Public License for more details.
> +#
> +# You should have received a copy of the GNU General Public License
> +# along with this program; if not, write the Free Software Foundation,
> +# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
> +#-----------------------------------------------------------------------
> +#
> +# creator
> +owner=sandeen@sandeen.net
> +
> +seq=`basename $0`
> +echo "QA output created by $seq"
> +
> +here=`pwd`
> +tmp=/tmp/$$
> +status=1 # failure is the default!
> +trap "_cleanup; exit \$status" 0 1 2 3 15
> +
> +_cleanup()
> +{
> + cd /
> + rm -f $tmp.*
> +}
> +
> +# get standard environment, filters and checks
> +. ./common.rc
> +. ./common.filter
> +. ./common.quota
> +
> +_require_scratch
> +_require_quota
> +
> +# real QA test starts here
> +
> +# Modify as appropriate.
> +_supported_fs generic
> +_supported_os Linux
> +_supported_fs ext3 ext4 xfs
> +
> +umount $SCRATCH_DEV 2>/dev/null
> +_scratch_mkfs >> $seq.full 2>&1
> +_scratch_mount "-o usrquota,grpquota"
> +quotacheck -u -g $SCRATCH_MNT 2>/dev/null
> +quotaon $SCRATCH_MNT 2>/dev/null
> +xfs_freeze -f $SCRATCH_MNT
> +setquota -u root 1 2 3 4 $SCRATCH_MNT &
> +sleep 1
> +xfs_freeze -u $SCRATCH_MNT
> +umount $SCRATCH_DEV
> +
> +# Failure comes in the form of a deadlock.
> +
> +# success, all done
> +status=0
> +exit
> diff --git a/280.out b/280.out
> new file mode 100644
> index 0000000..fb29270
> --- /dev/null
> +++ b/280.out
> @@ -0,0 +1 @@
> +QA output created by 280
> diff --git a/group b/group
> index 7a91f41..01f406d 100644
> --- a/group
> +++ b/group
> @@ -393,3 +393,4 @@ deprecated
> 277 auto ioctl quick metadata
> 278 repair auto
> 279 auto mkfs
> +280 auto quota
>
--
Jan Kara <jack@suse.cz>
SUSE Labs, CR
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2012-03-02 19:55 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-03-02 16:51 [PATCH] xfstests 280: test freeze deadlock w/ quotas Eric Sandeen
2012-03-02 19:55 ` Jan Kara
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox